ToDoApplication.AspNetMVC/Models/ItemViewModel.cs
using System.Collections.Generic;
using ToDoApplication.Domain.Entity;

namespace ToDoApplication.AspNetMVC.Models
{
    public class ItemViewModel
    {
        public List<Item> Items { get; set; }
        public Item Item { get; set; }
        //        public ItemStatus Status { get; set; }

        public int? ToDoId { get; set; }

    }
}

ToDoApplication.AspNetMVC/Controllers/FieldController.cs
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System;
using System.Linq;
using ToDoApplication.Domain.Repository;
using ToDoApplication.AspNetMVC.Models;
using ToDoApplication.Domain.Entity;
using System.Diagnostics;

namespace ToDoApplication.AspNetMVC.Controllers
{
    public class FieldController : Controller
    {
        private readonly IFieldRepository _repository;
        private readonly IItemRepository _itemRepository;

        public FieldController(IFieldRepository rep, IItemRepository itemRep)
        {
            _repository = rep;
            _itemRepository = itemRep;
        }

        public IActionResult Index(int itemId, int toDoId)
        {
            var viewModel = new FieldViewModel
            {
                Fields = (List<Field>)_repository.GetFieldsByItemId(itemId),
                ItemId = itemId,
                ToDoId = toDoId
            };

            return View(viewModel);
        }

        public IActionResult Create(Field field)
        {
            _repository.Create(field);
            Item item = _itemRepository.Get(field.ItemId);
            return RedirectToAction("Index", new { itemId = field.ItemId, toDoId = item.ToDoId });
        }

        public JsonResult PopulateForm(int id)
        {
            var field = _repository.Get(id);

            return Json(field);
        }

        public IActionResult Delete(int id)
        {
            _repository.Delete(id);
            return RedirectToAction("Index");
        }

        public IActionResult Update(Field field)
        {
            _repository.Update(field);
            Item item = _itemRepository.Get(field.ItemId);

            return RedirectToAction("Index", new { itemId = field.ItemId, toDoId = item.ToDoId });
        }


    }
}

ToDoApplication.AspNetMVC/Controllers/ItemController.cs
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System;
using System.Linq;
using ToDoApplication.Domain.Repository;
using ToDoApplication.AspNetMVC.Models;
using ToDoApplication.Domain.Entity;
using System.Diagnostics;

namespace ToDoApplication.AspNetMVC.Controllers
{
    public class ItemController : Controller
    {

        private readonly IItemRepository _repository;

        public ItemController(IItemRepository rep)
        {
            _repository = rep;
        }

        public IActionResult Index(int toDoId)
        {
            var viewModel = new ItemViewModel
            {
                Items = (List<Item>)_repository.GetItemsByToDoId(toDoId),
                ToDoId = toDoId
            };

            return View(viewModel);
        }


        public JsonResult Get(int toDoId)
        {
            var items = _repository.GetItemsByToDoId(toDoId);

            return Json(items);
        }

        public IActionResult Create(Item item)
        {
            _repository.Create(item);

            return RedirectToAction("Index", new { toDoId = item.ToDoId });
        }

        public JsonResult PopulateForm(int id)
        {
            var item = _repository.Get(id);

            return Json(item);
        }
        public IActionResult Delete(int id)
        {
            _repository.Delete(id);

            return RedirectToAction("Index");
        }
        public IActionResult Update(Item item)
        {
            _repository.Update(item);

            return RedirectToAction("Index", new { toDoId = item.ToDoId });
        }

    }
}

ToDoApplication.AspNetMVC/Views/Item/FormItem.cshtml
@using ToDoApplication.Domain.Entity;
@model ItemViewModel

<form asp-action="Create" id="form-action" method="post" class="form-horizontal" role="form">
    <div asp-validation-summary="All" class="text-danger"></div>

    <div class="row justify-content-center">
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
            <input asp-for="Item.Id" type="hidden" class="form-control" />
            <label asp-for="Item.Description" class="form-label"></label>
            <input asp-for="Item.Description" class="form-control" />
            <input asp-for="Item.ToDoId" type="hidden" class="form-control" value="@Model.ToDoId" />

            <div class="form-group">
                <label asp-for="Item.Status">Status</label>
                <select class="form-control" id="TodoItem_Status" name="Item.Status">
                    @foreach (var status in Enum.GetValues(typeof(ItemStatus)))
                    {
                        <option value="@status">@status</option>
                    }
                </select>
            </div>

            <div class="form-group">
                <label asp-for="Item.DueDate">Due Date</label>
                <input asp-for="Item.DueDate" type="date" class="form-control" />
            </div>

        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mt-3 mb-3">
            <input type="submit" id="form-button" class="btn btn-outline-secondary" value="Add Item" />
        </div>
    </div>
</form>
           

ToDoApplication.AspNetMVC/Views/Item/Index.cshtml
@model ItemViewModel
<div class="row justify-content-center">
    <div id="form2-container" class="col-12">
        <partial name="FormItem" />
        <div class="row justify-content-center">
            <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10 mb-3">
        @{
            var homeIndexUrl = Url.Action("Index", "Home");
        }
        <form method="get" action="@homeIndexUrl">
            <input type="submit" class="btn btn-outline-secondary" value="Back" />
        </form>
    </div>
</div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-10">
        <input type="checkbox" id="toggleCompleted" onchange="toggleCompletedItems()" checked> Show Completed Items
        <table class="table">
            <thead>
                <tr class="table-secondary">
                    <th scope="col">Description</th>
                    <th scope="col">Creation date</th>
                    <th scope="col">Due date</th>
                    <th scope="col">Status</th>
                    <th scope="col"></th>

                </tr>
            </thead>
            <tbody>
                @foreach (var t in Model.Items)
                {
                    <tr class=@t.Status.ToString().ToLower()>
                        <td class="todos-column"> @t.Description </td>
                        <td class="todos-column"> @t.CreationDate.ToShortDateString() </td>
                        <td class="todos-column"> @t.DueDate.ToShortDateString() </td>
                        <td class="todos-column"> @t.Status </td>
                        <td class="buttons-column">
                            <input type="submit" class="btn btn-outline-secondary" value="Update" onClick="populateFormItem(@t.Id,'@t.Status')" />
                        <input type="submit" class="btn btn-outline-secondary" value="Delete" onClick="deleteItem(@t.Id)" />
                        <form method="get" action="@Url.Action("Index", "Field")">
                                    <input type="hidden" name="itemId" value="@t.Id" />
                                    <input type="hidden" name="toDoId" value="@t.ToDoId" />
                                    <input type="submit" class="btn btn-outline-secondary" value="View" />
                                </form>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>